Bug 1007286 - Add/Edit network | profile name should be grayed out when network is non-vm
Add/Edit network | profile name should be grayed out when network is non-vm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
:
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-12 04:50 EDT by Meni Yakove
Modified: 2016-02-10 14:55 EST (History)
7 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20086 None None None Never

  None (edit)
Description Meni Yakove 2013-09-12 04:50:50 EDT
Description of problem:
When add/updating network to non-vm the profile name in the profile tab should be None but the user can set profile name anyway and if profile name is set the operation failed (non-vm network can't have profile)

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.21.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. create non-vm network
2. in profile tab set name to <name>

Actual results:
operation failed

Expected results:
profile name should be grayed out
Comment 1 Lior Vernia 2013-10-08 07:31:17 EDT
Instead of disabling the profiles widget, I'm toggling the visibility of the profiles tab in the dialog according to the VM network checkbox.
Comment 2 Martin Pavlik 2013-10-18 04:17:18 EDT
works in is19
Comment 3 Itamar Heim 2014-01-21 17:30:18 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:30:21 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:33:22 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.